Update client state
Updates the client state associated with the call. Client state is an opaque value echoed back in subsequent webhooks for the call, letting you correlate events with your application’s state.
PUT
/
calls
/
{call_control_id}
/
actions
/
client_state_update
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.calls.actions.updateClientState('call_control_id', {
client_state: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.update_client_state(
call_control_id="call_control_id",
client_state="aGF2ZSBhIG5pY2UgZGF5ID1d",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.UpdateClientState(
context.TODO(),
"call_control_id",
telnyx.CallActionUpdateClientStateParams{
ClientState: "aGF2ZSBhIG5pY2UgZGF5ID1d",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionUpdateClientStateParams;
import com.telnyx.sdk.models.calls.actions.ActionUpdateClientStateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionUpdateClientStateParams params = ActionUpdateClientStateParams.builder()
.callControlId("call_control_id")
.clientState("aGF2ZSBhIG5pY2UgZGF5ID1d")
.build();
ActionUpdateClientStateResponse response = client.calls().actions().updateClientState(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.calls.actions.update_client_state("call_control_id", client_state: "aGF2ZSBhIG5pY2UgZGF5ID1d")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->calls->actions->updateClientState(
'call_control_id', clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx calls:actions update-client-state \
--api-key 'My API Key' \
--call-control-id call_control_id \
--client-state aGF2ZSBhIG5pY2UgZGF5ID1dcurl --request PUT \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/client_state_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d"
}
'{
"data": {
"result": "ok"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier and token for controlling the call
Body
application/json
Updates client state for every subsequent webhook
Use this field to add state to every subsequent webhook. It must be a valid Base-64 encoded string.
Example:
"aGF2ZSBhIG5pY2UgZGF5ID1d"
Response
Successful response upon making a call control command.
Show child attributes
Show child attributes
Example:
{ "result": "ok" }
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.calls.actions.updateClientState('call_control_id', {
client_state: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.update_client_state(
call_control_id="call_control_id",
client_state="aGF2ZSBhIG5pY2UgZGF5ID1d",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.UpdateClientState(
context.TODO(),
"call_control_id",
telnyx.CallActionUpdateClientStateParams{
ClientState: "aGF2ZSBhIG5pY2UgZGF5ID1d",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionUpdateClientStateParams;
import com.telnyx.sdk.models.calls.actions.ActionUpdateClientStateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionUpdateClientStateParams params = ActionUpdateClientStateParams.builder()
.callControlId("call_control_id")
.clientState("aGF2ZSBhIG5pY2UgZGF5ID1d")
.build();
ActionUpdateClientStateResponse response = client.calls().actions().updateClientState(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.calls.actions.update_client_state("call_control_id", client_state: "aGF2ZSBhIG5pY2UgZGF5ID1d")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->calls->actions->updateClientState(
'call_control_id', clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx calls:actions update-client-state \
--api-key 'My API Key' \
--call-control-id call_control_id \
--client-state aGF2ZSBhIG5pY2UgZGF5ID1dcurl --request PUT \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/client_state_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d"
}
'{
"data": {
"result": "ok"
}
}